<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="COLLISION" with="oCharacter">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">// jumped on - oCaveman, oManTrap replaces this script with its own
if (abs(other.x-(x+16)) &gt; 16)
{
    // do nothing
}
else if (not other.dead and (other.state == 15 or other.state == 16) and other.y &lt; y+16 and not other.swimming)
{
    other.yVel = -6 - 0.2 * other.yVel;
    if (global.hasSpikeShoes) { hp -= (3 * (floor(other.fallTimer/16)+1)); if (not bloodless) instance_create(other.x, other.y+8, oBlood); }
    else hp -= (1 * (floor(other.fallTimer/16)+1));
    other.fallTimer = 0;
    instance_create(x+16, y+24, oBlood);
    playSound(global.sndHit);
}
else if (other.invincible == 0)
{
    if (true)
    {
        other.blink = 30;
        other.invincible = 30;
        if (other.y &lt; y)
            other.yVel = -6;
        if (other.x &lt; x)
            other.xVel = -6;
        else
            other.xVel = 6;

        if (global.plife &gt; 0)
        {
            global.plife -= damage;
            if (global.plife &lt;= 0 and isRealLevel()) global.enemyDeaths[3] += 1;
        }
        playSound(global.sndHurt);
    }
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
